## r-bioc-alabaster.se 1.4.1+ds

=== DESCRIPTION ===
Package: alabaster.se
Title: Load and Save SummarizedExperiments from File
Version: 1.4.1
Date: 2024-05-21
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save SummarizedExperiments into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: SummarizedExperiment, alabaster.base
Imports: methods, alabaster.ranges, alabaster.matrix, BiocGenerics,
        S4Vectors, IRanges, GenomicRanges, jsonlite
Suggests: rmarkdown, knitr, testthat, BiocStyle
VignetteBuilder: knitr
RoxygenNote: 7.3.1
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.se
git_branch: RELEASE_3_19
git_last_commit: eb38c1c
git_last_commit_date: 2024-05-21
Repository: Bioconductor 3.19
Date/Publication: 2024-05-21
NeedsCompilation: no
Packaged: 2024-05-21 19:57:20 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.se (1.4.1+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:44:36 +0200

r-bioc-alabaster.se (1.4.1+ds-1~0exp2) experimental; urgency=medium

  * d/control: increase minimum versions for 2 r-bioc-alabaster.*
    packages.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 12:59:48 +0200

r-bioc-alabaster.se (1.4.1+ds-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:12:46 +0200

r-bioc-alabaster.se (1.4.1+ds-1~0exp0) experimental; urgency=medium

  * Initial release (closes: #1076074)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:10:38 +0200

=== debian/control ===
Source: r-bioc-alabaster.se
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.se
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.se.git
Homepage: https://bioconductor.org/packages/alabaster.se
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment (>=1.34.0),
               r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp3),
               r-bioc-alabaster.ranges (>= 1.4.2+ds-2~0exp1),
               r-bioc-alabaster.matrix,
               r-bioc-biocgenerics (>=0.50.0),
               r-bioc-s4vectors (>=0.42.1),
               r-bioc-iranges (>=2.38.1),
               r-bioc-genomicranges (>=1.56.1),
               r-cran-jsonlite
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.se
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-summarizedexperiment (>=1.34.0),
         r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp3),
         r-bioc-alabaster.ranges (>= 1.4.2+ds-2~0exp1),
         r-bioc-biocgenerics (>=0.50.0),
         r-bioc-s4vectors (>=0.42.1),
         r-bioc-iranges (>=2.38.1),
         r-bioc-genomicranges (>=1.56.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>=2.32.1)
Description: Load and Save SummarizedExperiments from File
 Save SummarizedExperiments into file artifacts, and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

## r-bioc-alabaster.se 1.6.0%2Bds

=== debian/changelog ===
r-bioc-alabaster.se (1.6.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 09:18:16 +0100

r-bioc-alabaster.se (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 10:08:27 +0100

## r-bioc-alabaster.se 1.6.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alabaster.se
 Title: Load and Save SummarizedExperiments from File
-Version: 1.4.1
-Date: 2024-05-21
+Version: 1.6.0
+Date: 2024-10-16
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
 License: MIT + file LICENSE
 Description: 
@@ -17,12 +17,12 @@
 RoxygenNote: 7.3.1
 biocViews: DataImport, DataRepresentation
 git_url: https://git.bioconductor.org/packages/alabaster.se
-git_branch: RELEASE_3_19
-git_last_commit: eb38c1c
-git_last_commit_date: 2024-05-21
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-21
+git_branch: RELEASE_3_20
+git_last_commit: 48cf296
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-21 19:57:20 UTC; biocbuild
+Packaged: 2024-10-29 23:25:27 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/control ===
Source: r-bioc-alabaster.se
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.se
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.se.git
Homepage: https://bioconductor.org/packages/alabaster.se
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-summarizedexperiment,
               r-bioc-alabaster.base,
               r-bioc-alabaster.ranges,
               r-bioc-alabaster.matrix,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-cran-jsonlite
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.se
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Load and Save SummarizedExperiments from File
 Save SummarizedExperiments into file artifacts, and load them back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.se.html .*/alabaster.se_(.*).tar.gz
